com.hazelcast.crdt.pncounter

## Class PNCounterReplicationOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.crdt.AbstractCRDTReplicationOperation<PNCounterImpl>
    - - com.hazelcast.crdt.pncounter.PNCounterReplicationOperation

- All Implemented Interfaces:
    com.hazelcast.internal.partition.MigrationCycleOperation, DataSerializable, IdentifiedDataSerializable, com.hazelcast.spi.impl.AllowedDuringPassiveState, UrgentSystemOperation

      public class PNCounterReplicationOperation
      extends AbstractCRDTReplicationOperation<PNCounterImpl>

  CRDT replication operation for a `PNCounter`.
  See Also:
    `AbstractCRDTReplicationOperation`

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PNCounterReplicationOperation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns type identifier for this class.
    `String` | `getServiceName()`

    - ### Methods inherited from class com.hazelcast.crdt.AbstractCRDTReplicationOperation

      `afterRun, getFactoryId, readInternal, run, writeInternal`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getResponse, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Constructor Detail

    - #### PNCounterReplicationOperation

          public PNCounterReplicationOperation()

  - ### Method Detail

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Returns:
        type ID

    - #### getServiceName

          public String getServiceName()

      Overrides:
        `getServiceName` in class `Operation`

Copyright © 2019. All rights reserved.